Package org.apache.naming

## Class HandlerRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef
    - - org.apache.naming.HandlerRef

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`

    public class HandlerRef
    extends AbstractRef

Represents a reference handler for a web service.

Author:
  Fabien Carrion
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_FACTORY` Default factory for this reference.
`static java.lang.String` `HANDLER_CLASS` Handler Classname address type.
`static java.lang.String` `HANDLER_LOCALPART` Handler Classname address type.
`static java.lang.String` `HANDLER_NAME` HandlerName address type.
`static java.lang.String` `HANDLER_NAMESPACE` Handler Classname address type.
`static java.lang.String` `HANDLER_PARAMNAME` Handler Classname address type.
`static java.lang.String` `HANDLER_PARAMVALUE` Handler Classname address type.
`static java.lang.String` `HANDLER_PORTNAME` Handler PortName address type.
`static java.lang.String` `HANDLER_SOAPROLE` Handler SoapRole address type.

### Fields inherited from class javax.naming.Reference

`addrs, classFactory, classFactoryLocation, className`

### Constructor Summary

Constructors
`HandlerRef​(java.lang.String refname, java.lang.String handlerClass)`
`HandlerRef​(java.lang.String refname, java.lang.String handlerClass, java.lang.String factory, java.lang.String factoryLocation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getDefaultFactoryClassName()`

### Methods inherited from class org.apache.naming.AbstractRef

`getFactoryClassName, toString`

### Methods inherited from class javax.naming.Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_FACTORY

    public static final java.lang.String DEFAULT_FACTORY

Default factory for this reference.

See Also:
  Constant Field Values

#### HANDLER_NAME

    public static final java.lang.String HANDLER_NAME

HandlerName address type.

See Also:
  Constant Field Values

#### HANDLER_CLASS

    public static final java.lang.String HANDLER_CLASS

Handler Classname address type.

See Also:
  Constant Field Values

#### HANDLER_LOCALPART

    public static final java.lang.String HANDLER_LOCALPART

Handler Classname address type.

See Also:
  Constant Field Values

#### HANDLER_NAMESPACE

    public static final java.lang.String HANDLER_NAMESPACE

Handler Classname address type.

See Also:
  Constant Field Values

#### HANDLER_PARAMNAME

    public static final java.lang.String HANDLER_PARAMNAME

Handler Classname address type.

See Also:
  Constant Field Values

#### HANDLER_PARAMVALUE

    public static final java.lang.String HANDLER_PARAMVALUE

Handler Classname address type.

See Also:
  Constant Field Values

#### HANDLER_SOAPROLE

    public static final java.lang.String HANDLER_SOAPROLE

Handler SoapRole address type.

See Also:
  Constant Field Values

#### HANDLER_PORTNAME

    public static final java.lang.String HANDLER_PORTNAME

Handler PortName address type.

See Also:
  Constant Field Values

### Constructor Detail

#### HandlerRef

    public HandlerRef​(java.lang.String refname,
                      java.lang.String handlerClass)

#### HandlerRef

    public HandlerRef​(java.lang.String refname,
                      java.lang.String handlerClass,
                      java.lang.String factory,
                      java.lang.String factoryLocation)

### Method Detail

#### getDefaultFactoryClassName

    protected java.lang.String getDefaultFactoryClassName()

Specified by:
  `getDefaultFactoryClassName` in class `AbstractRef`